Page MenuHomePhabricator

Community Liaison support for page issues on mobile
Closed, ResolvedPublic

Description

What is the problem?
The Readers web team wants to better surface page issues on the mobile web. This will require community consultation to determine the best approach.

How does success of this task look like? How do we know when we are done?
A partnered discussion with community on how this might work, feedback and bugs incorporated into product planning, and a successful deployment to communities.

Is there any goal, program, project, team related with this request?
Not currently listed, but I believe it is a quarterly goal for Readers. https://www.mediawiki.org/wiki/Wikimedia_Audiences/2017-18_Q3_Goals#Readers

What is your expected timeline from start to end? Is there a hard deadline?
Once we have a plan of approach we'll need to reach out to the communities to discuss our plans, provide time for feedback, and incorporate changes. Assuming we're all on the same page we'll also need to let local functionaries know that the feature is in place and how to consider it when maintaining page issue templates.

See also: T159262

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2018, 9:46 PM
CKoerner_WMF triaged this task as Normal priority.Jan 30 2018, 9:46 PM
CKoerner_WMF mentioned this in Unknown Object (Task).

I started a draft of some documentation on the project. Feedback welcome.

https://www.mediawiki.org/wiki/Reading/Web/Mobile_page_issues

Looks good! I'm not sure if at this point we're ready to say which issues we will be considering first. Basically, we'll give editors the power to add a severity to any template that is an issues template, but would want to begin with a list of suggestions to make sure that important issues are surfaced upon deployment/release. For now, I'd say let's remove the list? I also made a small clarification of this in the section prior to the list as well. Thanks for setting this up @CKoerner_WMF!

Thanks @ovasileva, I removed the suggestions. We should talk to folks first and see what is recommended.

Regarding that, I'd like to come up with a few initial question that we want to answer to populate the talk page with. Can you help me come up with a few ideas on what we want to focus the conversation around?

I can't take credit for it (that goes to @Jdrewniak and others), but the documentation now resides here:

https://www.mediawiki.org/wiki/Reading/Web/Projects/Mobile_Page_Issues

In a week or so we'll be doing more outreach to communities to let them know of our plans (outlined in the aforementioned link) and provide an opportunity for feedback and discussion.

CKoerner_WMF renamed this task from Community Liaison support for Readers Q3 goal - Page issues on mobile to Community Liaison support for page issues on mobile.Apr 9 2018, 5:37 PM
CKoerner_WMF updated the task description. (Show Details)
Elitre added a subscriber: Elitre.Apr 11 2018, 4:36 PM

Feedback and discussion about the page or the plan?

opportunity for feedback and discussion.

About the plan. This has taken a little longer than anticipated to get ready.

Speaking of which, over the last few days I went through the page and clarified/simplified the language.

https://www.mediawiki.org/wiki/Reading/Web/Projects/Mobile_Page_Issues

A long delay in updating this task. My apologies. The most recent update was sending a short announcement to communities asking for feedback. This was sent today to Village Pumps.

https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Page_issues_on_mobile_web

@ovasileva and I have been reviewing and updating the project documentation. In light of the limited feedback from the general Village Pump posts we are preparing a targeted message to the Ambox (or locally named equal) template to go out shortly asking for feedback. The message will go out early next week.

https://www.mediawiki.org/wiki/Reading/Web/Projects/Mobile_Page_Issues

https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Page_issues_on_mobile_web

Message sent to 163 talk pages of Ambox templates on Wikipedia asking for feedback. List generated based on Wikidata entries for Template:Ambox.

https://www.wikidata.org/wiki/Q5617634

CKoerner_WMF closed this task as Resolved.Jul 30 2018, 3:47 PM

Feedback has been steady for the last month with most activity on the project talk page. @ovasileva, myself and others have reviewed all feedback and responded to actionable inquiries. Next step is to make the proposed changes as described in the next few weeks. We're still listening, but my role in actively seeking out voices has been resolved.

Semi-related, a small mention that TemplateStyles will be deployed in the near future to all projects (T133410). Meaning the adaptation of templates for mobile will continue beyond this work in the capable hands of community volunteers!

Elitre added a comment.Oct 5 2018, 9:25 AM

Satisfaction survey reply received.